{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILNAME",
        "codeName" : "IBIZOrderDetailName"
      }
    } ],
    "pagingSize" : 50,
    "getTextPSAppDEField" : {
      "name" : "IBIZORDERDETAILNAME",
      "codeName" : "IBIZOrderDetailName"
    },
    "getValuePSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CUSTOM",
    "codeName" : "CountMoney",
    "methodType" : "DEACTION",
    "name" : "CountMoney",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/countmoney",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "CREATE",
    "actionType" : "BUILTIN",
    "codeName" : "CreateTemp",
    "methodType" : "DEACTION",
    "name" : "CreateTemp",
    "getPSAppDEMethodInput" : {
      "codeName" : "CreateTempInput",
      "name" : "CreateTempInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "CreateTempResult",
      "name" : "CreateTempResult",
      "type" : "VOID"
    },
    "tempDataMode" : 2,
    "builtinMethod" : true
  }, {
    "actionMode" : "CREATE",
    "actionType" : "BUILTIN",
    "codeName" : "CreateTempMajor",
    "methodType" : "DEACTION",
    "name" : "CreateTempMajor",
    "getPSAppDEMethodInput" : {
      "codeName" : "CreateTempMajorInput",
      "name" : "CreateTempMajorInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "CreateTempMajorResult",
      "name" : "CreateTempMajorResult",
      "type" : "VOID"
    },
    "tempDataMode" : 1,
    "builtinMethod" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "requestField" : "IBIZORDERDETAILID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "GETDRAFT",
    "actionType" : "BUILTIN",
    "codeName" : "GetDraftTemp",
    "methodType" : "DEACTION",
    "name" : "GetDraftTemp",
    "getPSAppDEMethodInput" : {
      "codeName" : "GetDraftTempInput",
      "name" : "GetDraftTempInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "GetDraftTempResult",
      "name" : "GetDraftTempResult",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "tempDataMode" : 2,
    "builtinMethod" : true
  }, {
    "actionMode" : "GETDRAFT",
    "actionType" : "BUILTIN",
    "codeName" : "GetDraftTempMajor",
    "methodType" : "DEACTION",
    "name" : "GetDraftTempMajor",
    "getPSAppDEMethodInput" : {
      "codeName" : "GetDraftTempMajorInput",
      "name" : "GetDraftTempMajorInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "GetDraftTempMajorResult",
      "name" : "GetDraftTempMajorResult",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "tempDataMode" : 1,
    "builtinMethod" : true
  }, {
    "actionMode" : "READ",
    "actionType" : "BUILTIN",
    "codeName" : "GetTemp",
    "methodType" : "DEACTION",
    "name" : "GetTemp",
    "getPSAppDEMethodInput" : {
      "codeName" : "GetTempInput",
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "GetTempInput",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "GetTempResult",
      "name" : "GetTempResult",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "tempDataMode" : 2,
    "builtinMethod" : true
  }, {
    "actionMode" : "READ",
    "actionType" : "BUILTIN",
    "codeName" : "GetTempMajor",
    "methodType" : "DEACTION",
    "name" : "GetTempMajor",
    "getPSAppDEMethodInput" : {
      "codeName" : "GetTempMajorInput",
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "GetTempMajorInput",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "GetTempMajorResult",
      "name" : "GetTempMajorResult",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "tempDataMode" : 1,
    "builtinMethod" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "GetUnitAndPrice",
    "methodType" : "DEACTION",
    "name" : "GetUnitAndPrice",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "requestField" : "IBIZORDERDETAILID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "requestPath" : "/getunitandprice",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "requestField" : "IBIZORDERDETAILID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "DELETE",
    "actionType" : "BUILTIN",
    "batchActionMode" : 1,
    "codeName" : "RemoveTemp",
    "methodType" : "DEACTION",
    "name" : "RemoveTemp",
    "getPSAppDEMethodInput" : {
      "codeName" : "RemoveTempInput",
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "RemoveTempInput",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "RemoveTempResult",
      "name" : "RemoveTempResult",
      "type" : "VOID"
    },
    "tempDataMode" : 2,
    "builtinMethod" : true,
    "enableBatchAction" : true
  }, {
    "actionMode" : "DELETE",
    "actionType" : "BUILTIN",
    "batchActionMode" : 1,
    "codeName" : "RemoveTempMajor",
    "methodType" : "DEACTION",
    "name" : "RemoveTempMajor",
    "getPSAppDEMethodInput" : {
      "codeName" : "RemoveTempMajorInput",
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "RemoveTempMajorInput",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "RemoveTempMajorResult",
      "name" : "RemoveTempMajorResult",
      "type" : "VOID"
    },
    "tempDataMode" : 1,
    "builtinMethod" : true,
    "enableBatchAction" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UPDATE",
    "actionType" : "BUILTIN",
    "codeName" : "UpdateTemp",
    "methodType" : "DEACTION",
    "name" : "UpdateTemp",
    "getPSAppDEMethodInput" : {
      "codeName" : "UpdateTempInput",
      "name" : "UpdateTempInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "UpdateTempResult",
      "name" : "UpdateTempResult",
      "type" : "VOID"
    },
    "tempDataMode" : 2,
    "builtinMethod" : true
  }, {
    "actionMode" : "UPDATE",
    "actionType" : "BUILTIN",
    "codeName" : "UpdateTempMajor",
    "methodType" : "DEACTION",
    "name" : "UpdateTempMajor",
    "getPSAppDEMethodInput" : {
      "codeName" : "UpdateTempMajorInput",
      "name" : "UpdateTempMajorInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "UpdateTempMajorResult",
      "name" : "UpdateTempMajorResult",
      "type" : "VOID"
    },
    "tempDataMode" : 1,
    "builtinMethod" : true
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchCSMXDY",
    "methodType" : "FETCH",
    "name" : "FetchCSMXDY",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "PAGE"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchcsmxdy",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "PAGE"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "getADPSDEDQConditions" : [ {
      "condOp" : "EQ",
      "condType" : "SINGLE",
      "condValue" : "IBIZuniproductid",
      "fieldName" : "IBIZUNIPRODUCTID",
      "name" : "IBIZUNIPRODUCTID 等于(=) 数据上下文(IBIZuniproductid)",
      "getPSVARTypeId" : "DATACONTEXT"
    }, {
      "condOp" : "EQ",
      "condType" : "SINGLE",
      "condValue" : "IBIZorderid",
      "fieldName" : "IBIZORDERID",
      "name" : "IBIZORDERID 等于(=) 数据上下文(IBIZorderid)",
      "getPSVARTypeId" : "DATACONTEXT"
    } ],
    "codeName" : "FetchLOGIC_0007",
    "methodType" : "FETCH",
    "name" : "FetchLOGIC_0007",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "PAGE"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchlogic_0007",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchX",
    "methodType" : "FETCH",
    "name" : "FetchX",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "PAGE"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchx",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "codeName" : "IBIZOrderDetailName",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERDETAILNAME"
    },
    "logicName" : "订单明细名称",
    "name" : "IBIZORDERDETAILNAME",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "codeName" : "UpdateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE"
    },
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "codeName" : "CreateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEDATE"
    },
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "codeName" : "CreateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEMAN"
    },
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "codeName" : "IBIZORDERDETAILA",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERDETAILA"
    },
    "logicName" : "测试属性",
    "name" : "IBIZORDERDETAILA",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Amount",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.AMOUNT"
    },
    "logicName" : "小计",
    "name" : "AMOUNT",
    "stdDataType" : 7
  }, {
    "codeName" : "Quantity",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.QUANTITY"
    },
    "logicName" : "数量",
    "name" : "QUANTITY",
    "stdDataType" : 9
  }, {
    "codeName" : "IBIZOrderDetailId",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERDETAILID"
    },
    "logicName" : "订单明细标识",
    "name" : "IBIZORDERDETAILID",
    "stdDataType" : 25,
    "stringLength" : 100,
    "keyField" : true
  }, {
    "codeName" : "UpdateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEMAN"
    },
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "codeName" : "UnitPrice",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UNITPRICE"
    },
    "logicName" : "单价",
    "name" : "UNITPRICE",
    "precision" : 2,
    "stdDataType" : 7
  }, {
    "codeName" : "OrderUID",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.ORDERUID"
    },
    "logicName" : "订单编号",
    "name" : "ORDERUID",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Unit",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UNIT"
    },
    "logicName" : "单位",
    "name" : "UNIT",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "IBIZOrderName",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZORDERNAME"
    },
    "logicName" : "订单名称",
    "name" : "IBIZORDERNAME",
    "stdDataType" : 25,
    "stringLength" : 200
  }, {
    "codeName" : "IBIZUNIProductName",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZUNIPRODUCTNAME"
    },
    "logicName" : "产品名称",
    "name" : "IBIZUNIPRODUCTNAME",
    "stdDataType" : 25,
    "stringLength" : 200
  }, {
    "codeName" : "IBIZOrderId",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERID"
    },
    "logicName" : "订单标识",
    "name" : "IBIZORDERID",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "IBIZUNIProductId",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZUNIPRODUCTID"
    },
    "logicName" : "统一产品标识",
    "name" : "IBIZUNIPRODUCTID",
    "stdDataType" : 25,
    "stringLength" : 100
  } ],
  "getAllPSAppDELogics" : [ {
    "codeName" : "CountMoney",
    "defaultParamName" : "Default",
    "logicName" : "统计金额",
    "name" : "统计金额",
    "getPSDELogicNodes" : [ {
      "codeName" : "Begin",
      "logicNodeType" : "BEGIN",
      "name" : "开始",
      "getPSDELogicLinks" : [ {
        "getDstPSDELogicNode" : {
          "modelref" : true,
          "id" : "Rawsqlcall1"
        },
        "name" : "连接",
        "getSrcPSDELogicNode" : {
          "modelref" : true,
          "id" : "Begin"
        }
      } ],
      "parallelOutput" : true
    }, {
      "codeName" : "Rawsqlcall1",
      "getDstPSDELogicParam" : {
        "modelref" : true,
        "id" : "Default"
      },
      "logicNodeType" : "RAWSQLCALL",
      "name" : "统计金额",
      "getPSDELogicNodeParams" : [ {
        "name" : "Default[QUANTITY]",
        "paramAction" : "SQLPARAM",
        "srcFieldName" : "QUANTITY",
        "getSrcPSDELogicParam" : {
          "modelref" : true,
          "id" : "Default"
        },
        "srcValueType" : "SRCDLPARAM"
      }, {
        "name" : "Default[UNITPRICE]",
        "paramAction" : "SQLPARAM",
        "srcFieldName" : "UNITPRICE",
        "getSrcPSDELogicParam" : {
          "modelref" : true,
          "id" : "Default"
        },
        "srcValueType" : "SRCDLPARAM"
      } ],
      "sql" : "select (?*?) as AMOUNT from dual",
      "fillDstLogicParam" : true
    } ],
    "getPSDELogicParams" : [ {
      "codeName" : "Default",
      "logicName" : "传入变量",
      "name" : "传入变量",
      "getParamPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
      },
      "default" : true,
      "entityParam" : true
    } ],
    "getStartPSDELogicNode" : {
      "modelref" : true,
      "id" : "Begin"
    },
    "enableBackend" : true,
    "enableFront" : true
  }, {
    "codeName" : "GetUnitAndPrice",
    "defaultParamName" : "Default",
    "logicName" : "通过商品ID获取单价及单位",
    "name" : "通过商品ID获取单价及单位",
    "getPSDELogicNodes" : [ {
      "codeName" : "Begin",
      "logicNodeType" : "BEGIN",
      "name" : "开始",
      "getPSDELogicLinks" : [ {
        "getDstPSDELogicNode" : {
          "modelref" : true,
          "id" : "Prepareparam1"
        },
        "name" : "连接",
        "getSrcPSDELogicNode" : {
          "modelref" : true,
          "id" : "Begin"
        }
      } ],
      "parallelOutput" : true
    }, {
      "codeName" : "Prepareparam2",
      "logicNodeType" : "PREPAREPARAM",
      "name" : "填充单位和单价",
      "getPSDELogicNodeParams" : [ {
        "dstFieldName" : "UNITPRICE",
        "getDstPSDELogicParam" : {
          "modelref" : true,
          "id" : "Default"
        },
        "name" : "Product[UNITPRICE] ==> Default[UNITPRICE]",
        "paramAction" : "SETPARAMVALUE",
        "srcFieldName" : "UNITPRICE",
        "getSrcPSDELogicParam" : {
          "modelref" : true,
          "id" : "Product"
        },
        "srcValueType" : "SRCDLPARAM"
      }, {
        "dstFieldName" : "UNIT",
        "getDstPSDELogicParam" : {
          "modelref" : true,
          "id" : "Default"
        },
        "name" : "Product[UNIT] ==> Default[UNIT]",
        "paramAction" : "SETPARAMVALUE",
        "srcFieldName" : "UNIT",
        "getSrcPSDELogicParam" : {
          "modelref" : true,
          "id" : "Product"
        },
        "srcValueType" : "SRCDLPARAM"
      } ],
      "parallelOutput" : true
    }, {
      "codeName" : "Deaction1",
      "getDstPSAppDEAction" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getDstPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZUNIProduct.json"
      },
      "getDstPSDELogicParam" : {
        "modelref" : true,
        "id" : "Product"
      },
      "logicNodeType" : "DEACTION",
      "name" : "获取商品信息",
      "getPSDELogicLinks" : [ {
        "getDstPSDELogicNode" : {
          "modelref" : true,
          "id" : "Prepareparam2"
        },
        "name" : "连接",
        "getSrcPSDELogicNode" : {
          "modelref" : true,
          "id" : "Deaction1"
        }
      } ],
      "parallelOutput" : true
    }, {
      "codeName" : "Prepareparam1",
      "logicNodeType" : "PREPAREPARAM",
      "name" : "获取商品ID",
      "getPSDELogicLinks" : [ {
        "getDstPSDELogicNode" : {
          "modelref" : true,
          "id" : "Deaction1"
        },
        "name" : "连接",
        "getSrcPSDELogicNode" : {
          "modelref" : true,
          "id" : "Prepareparam1"
        }
      } ],
      "getPSDELogicNodeParams" : [ {
        "dstFieldName" : "IBIZUNIPRODUCTID",
        "getDstPSDELogicParam" : {
          "modelref" : true,
          "id" : "Product"
        },
        "name" : "Default[IBIZUNIPRODUCTID] ==> Product[IBIZUNIPRODUCTID]",
        "paramAction" : "SETPARAMVALUE",
        "srcFieldName" : "IBIZUNIPRODUCTID",
        "getSrcPSDELogicParam" : {
          "modelref" : true,
          "id" : "Default"
        },
        "srcValueType" : "SRCDLPARAM"
      } ],
      "parallelOutput" : true
    } ],
    "getPSDELogicParams" : [ {
      "codeName" : "Product",
      "logicName" : "商品",
      "name" : "商品",
      "getParamPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZUNIProduct.json"
      },
      "entityParam" : true
    }, {
      "codeName" : "Default",
      "logicName" : "传入变量",
      "name" : "传入变量",
      "getParamPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
      },
      "default" : true,
      "entityParam" : true
    } ],
    "getStartPSDELogicNode" : {
      "modelref" : true,
      "id" : "Begin"
    },
    "enableBackend" : true,
    "enableFront" : true
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "IBIZOrderDetailDTO",
    "name" : "IBIZOrderDetailDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "Amount",
      "logicName" : "小计",
      "name" : "Amount",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 7,
      "type" : "SIMPLE"
    }, {
      "codeName" : "CreateDate",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "CreateMan",
      "logicName" : "建立人",
      "name" : "CreateMan",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "IBIZORDERDETAILA",
      "logicName" : "测试属性",
      "name" : "IBIZORDERDETAILA",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILA",
        "codeName" : "IBIZORDERDETAILA"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "IBIZOrderDetailId",
      "logicName" : "订单明细标识",
      "name" : "IBIZOrderDetailId",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "IBIZOrderDetailName",
      "logicName" : "订单明细名称",
      "name" : "IBIZOrderDetailName",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILNAME",
        "codeName" : "IBIZOrderDetailName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "IBIZOrderId",
      "logicName" : "订单标识",
      "name" : "IBIZOrderId",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "IBIZOrderName",
      "logicName" : "订单名称",
      "name" : "IBIZOrderName",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "IBIZUNIProductId",
      "logicName" : "统一产品标识",
      "name" : "IBIZUNIProductId",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "IBIZUNIProductName",
      "logicName" : "产品名称",
      "name" : "IBIZUNIProductName",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTNAME",
        "codeName" : "IBIZUNIProductName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "OrderUID",
      "logicName" : "订单编号",
      "name" : "OrderUID",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "ORDERUID",
        "codeName" : "OrderUID"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Quantity",
      "logicName" : "数量",
      "name" : "Quantity",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "QUANTITY",
        "codeName" : "Quantity"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Unit",
      "logicName" : "单位",
      "name" : "Unit",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UNIT",
        "codeName" : "Unit"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UnitPrice",
      "logicName" : "单价",
      "name" : "UnitPrice",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UNITPRICE",
        "codeName" : "UnitPrice"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 7,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateDate",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "UpdateMan",
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    } ],
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "IBIZOrderDetailFilterDTO",
    "name" : "IBIZOrderDetailFilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_IBIZORDERDETAILID_EQ",
      "logicName" : "订单明细标识",
      "name" : "N_IBIZORDERDETAILID_EQ",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZORDERDETAILNAME_LIKE",
      "logicName" : "订单明细名称",
      "name" : "N_IBIZORDERDETAILNAME_LIKE",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILNAME",
        "codeName" : "IBIZOrderDetailName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZORDERID_EQ",
      "logicName" : "订单标识",
      "name" : "N_IBIZORDERID_EQ",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZORDERNAME_EQ",
      "logicName" : "订单名称",
      "name" : "N_IBIZORDERNAME_EQ",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZORDERNAME_LIKE",
      "logicName" : "订单名称",
      "name" : "N_IBIZORDERNAME_LIKE",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZUNIPRODUCTID_EQ",
      "logicName" : "统一产品标识",
      "name" : "N_IBIZUNIPRODUCTID_EQ",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZUNIPRODUCTNAME_EQ",
      "logicName" : "产品名称",
      "name" : "N_IBIZUNIPRODUCTNAME_EQ",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTNAME",
        "codeName" : "IBIZUNIProductName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZUNIPRODUCTNAME_LIKE",
      "logicName" : "产品名称",
      "name" : "N_IBIZUNIPRODUCTNAME_LIKE",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTNAME",
        "codeName" : "IBIZUNIProductName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CUSTOM",
    "codeName" : "CountMoney",
    "methodType" : "DEACTION",
    "name" : "CountMoney",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/countmoney",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "CREATE",
    "actionType" : "BUILTIN",
    "codeName" : "CreateTemp",
    "methodType" : "DEACTION",
    "name" : "CreateTemp",
    "getPSAppDEMethodInput" : {
      "codeName" : "CreateTempInput",
      "name" : "CreateTempInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "CreateTempResult",
      "name" : "CreateTempResult",
      "type" : "VOID"
    },
    "tempDataMode" : 2,
    "builtinMethod" : true
  }, {
    "actionMode" : "CREATE",
    "actionType" : "BUILTIN",
    "codeName" : "CreateTempMajor",
    "methodType" : "DEACTION",
    "name" : "CreateTempMajor",
    "getPSAppDEMethodInput" : {
      "codeName" : "CreateTempMajorInput",
      "name" : "CreateTempMajorInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "CreateTempMajorResult",
      "name" : "CreateTempMajorResult",
      "type" : "VOID"
    },
    "tempDataMode" : 1,
    "builtinMethod" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "requestField" : "IBIZORDERDETAILID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "GETDRAFT",
    "actionType" : "BUILTIN",
    "codeName" : "GetDraftTemp",
    "methodType" : "DEACTION",
    "name" : "GetDraftTemp",
    "getPSAppDEMethodInput" : {
      "codeName" : "GetDraftTempInput",
      "name" : "GetDraftTempInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "GetDraftTempResult",
      "name" : "GetDraftTempResult",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "tempDataMode" : 2,
    "builtinMethod" : true
  }, {
    "actionMode" : "GETDRAFT",
    "actionType" : "BUILTIN",
    "codeName" : "GetDraftTempMajor",
    "methodType" : "DEACTION",
    "name" : "GetDraftTempMajor",
    "getPSAppDEMethodInput" : {
      "codeName" : "GetDraftTempMajorInput",
      "name" : "GetDraftTempMajorInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "GetDraftTempMajorResult",
      "name" : "GetDraftTempMajorResult",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "tempDataMode" : 1,
    "builtinMethod" : true
  }, {
    "actionMode" : "READ",
    "actionType" : "BUILTIN",
    "codeName" : "GetTemp",
    "methodType" : "DEACTION",
    "name" : "GetTemp",
    "getPSAppDEMethodInput" : {
      "codeName" : "GetTempInput",
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "GetTempInput",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "GetTempResult",
      "name" : "GetTempResult",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "tempDataMode" : 2,
    "builtinMethod" : true
  }, {
    "actionMode" : "READ",
    "actionType" : "BUILTIN",
    "codeName" : "GetTempMajor",
    "methodType" : "DEACTION",
    "name" : "GetTempMajor",
    "getPSAppDEMethodInput" : {
      "codeName" : "GetTempMajorInput",
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "GetTempMajorInput",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "GetTempMajorResult",
      "name" : "GetTempMajorResult",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "tempDataMode" : 1,
    "builtinMethod" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "GetUnitAndPrice",
    "methodType" : "DEACTION",
    "name" : "GetUnitAndPrice",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "requestField" : "IBIZORDERDETAILID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "requestPath" : "/getunitandprice",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "requestField" : "IBIZORDERDETAILID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "DELETE",
    "actionType" : "BUILTIN",
    "batchActionMode" : 1,
    "codeName" : "RemoveTemp",
    "methodType" : "DEACTION",
    "name" : "RemoveTemp",
    "getPSAppDEMethodInput" : {
      "codeName" : "RemoveTempInput",
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "RemoveTempInput",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "RemoveTempResult",
      "name" : "RemoveTempResult",
      "type" : "VOID"
    },
    "tempDataMode" : 2,
    "builtinMethod" : true,
    "enableBatchAction" : true
  }, {
    "actionMode" : "DELETE",
    "actionType" : "BUILTIN",
    "batchActionMode" : 1,
    "codeName" : "RemoveTempMajor",
    "methodType" : "DEACTION",
    "name" : "RemoveTempMajor",
    "getPSAppDEMethodInput" : {
      "codeName" : "RemoveTempMajorInput",
      "getKeyPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "name" : "RemoveTempMajorInput",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "RemoveTempMajorResult",
      "name" : "RemoveTempMajorResult",
      "type" : "VOID"
    },
    "tempDataMode" : 1,
    "builtinMethod" : true,
    "enableBatchAction" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UPDATE",
    "actionType" : "BUILTIN",
    "codeName" : "UpdateTemp",
    "methodType" : "DEACTION",
    "name" : "UpdateTemp",
    "getPSAppDEMethodInput" : {
      "codeName" : "UpdateTempInput",
      "name" : "UpdateTempInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "UpdateTempResult",
      "name" : "UpdateTempResult",
      "type" : "VOID"
    },
    "tempDataMode" : 2,
    "builtinMethod" : true
  }, {
    "actionMode" : "UPDATE",
    "actionType" : "BUILTIN",
    "codeName" : "UpdateTempMajor",
    "methodType" : "DEACTION",
    "name" : "UpdateTempMajor",
    "getPSAppDEMethodInput" : {
      "codeName" : "UpdateTempMajorInput",
      "name" : "UpdateTempMajorInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "UpdateTempMajorResult",
      "name" : "UpdateTempMajorResult",
      "type" : "VOID"
    },
    "tempDataMode" : 1,
    "builtinMethod" : true
  }, {
    "codeName" : "FetchCSMXDY",
    "methodType" : "FETCH",
    "name" : "FetchCSMXDY",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "PAGE"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchcsmxdy",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "PAGE"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "getADPSDEDQConditions" : [ {
      "condOp" : "EQ",
      "condType" : "SINGLE",
      "condValue" : "IBIZuniproductid",
      "fieldName" : "IBIZUNIPRODUCTID",
      "name" : "IBIZUNIPRODUCTID 等于(=) 数据上下文(IBIZuniproductid)",
      "getPSVARTypeId" : "DATACONTEXT"
    }, {
      "condOp" : "EQ",
      "condType" : "SINGLE",
      "condValue" : "IBIZorderid",
      "fieldName" : "IBIZORDERID",
      "name" : "IBIZORDERID 等于(=) 数据上下文(IBIZorderid)",
      "getPSVARTypeId" : "DATACONTEXT"
    } ],
    "codeName" : "FetchLOGIC_0007",
    "methodType" : "FETCH",
    "name" : "FetchLOGIC_0007",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "PAGE"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchlogic_0007",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchX",
    "methodType" : "FETCH",
    "name" : "FetchX",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZOrderDetailDTO"
      },
      "type" : "PAGE"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchx",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSAppPortletCats" : [ {
    "codeName" : "PortletCat6",
    "name" : "订单明细",
    "ungroup" : false
  }, {
    "codeName" : "Ungroup",
    "name" : "（未分类）",
    "ungroup" : true
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "name" : "CREATE"
  }, {
    "logicName" : "删除",
    "name" : "DELETE"
  }, {
    "logicName" : "读取",
    "name" : "READ"
  }, {
    "logicName" : "更新",
    "name" : "UPDATE"
  } ],
  "codeName" : "IBIZOrderDetail",
  "dEAPITag" : "IBIZORDERDETAIL",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json",
  "enableUIActions" : 15,
  "getKeyPSAppDEField" : {
    "name" : "IBIZORDERDETAILID",
    "codeName" : "IBIZOrderDetailId"
  },
  "getLNPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZORDERDETAIL"
  },
  "logicName" : "订单明细",
  "getMajorPSAppDEField" : {
    "name" : "IBIZORDERDETAILNAME",
    "codeName" : "IBIZOrderDetailName"
  },
  "getMinorPSAppDERSs" : [ {
    "actionRSMode" : 1,
    "codeName" : "IBIZORDERDETAILS",
    "dataRSMode" : 0,
    "majorDECodeName" : "IBIZOrder",
    "majorDEName" : "IBIZORDER",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "minorDECodeName" : "IBIZOrderDetail",
    "minorDEName" : "IBIZORDERDETAIL",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
    },
    "name" : "订单实体_订单明细",
    "getParentPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    },
    "rSMode" : 2,
    "tempDataOrder" : 10
  } ],
  "name" : "IBIZORDERDETAIL",
  "getPSDEName" : "IBIZORDERDETAIL",
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "IBIZORDERDETAILNAME",
    "codeName" : "IBIZOrderDetailName"
  } ],
  "storageMode" : 0,
  "sysAPITag" : "DemoAPI",
  "defaultMode" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true
}